#
# spec file for package perl-Perl-Critic-Pulp
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Perl-Critic-Pulp
Version:        96
Release:        bp153.1.13
#Upstream: GPL-1.0+
%define cpan_name Perl-Critic-Pulp
Summary:        Some Add-On Perlcritic Policies
License:        GPL-3.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Perl-Critic-Pulp/
Source0:        https://cpan.metacpan.org/authors/id/K/KR/KRYDE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::String) >= 1.02
BuildRequires:  perl(List::MoreUtils) >= 0.24
BuildRequires:  perl(PPI) >= 1.220
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(PPI::Dumper)
BuildRequires:  perl(Perl::Critic) >= 1.084
BuildRequires:  perl(Perl::Critic::Policy) >= 1.084
BuildRequires:  perl(Perl::Critic::Utils) >= 1.100
BuildRequires:  perl(Perl::Critic::Utils::PPI)
BuildRequires:  perl(Perl::Critic::Violation)
BuildRequires:  perl(Pod::Escapes)
BuildRequires:  perl(Pod::MinimumVersion) >= 50
BuildRequires:  perl(version)
Requires:       perl(IO::String) >= 1.02
Requires:       perl(List::MoreUtils) >= 0.24
Requires:       perl(PPI) >= 1.220
Requires:       perl(PPI::Document)
Requires:       perl(PPI::Dumper)
Requires:       perl(Perl::Critic) >= 1.084
Requires:       perl(Perl::Critic::Policy) >= 1.084
Requires:       perl(Perl::Critic::Utils) >= 1.100
Requires:       perl(Perl::Critic::Utils::PPI)
Requires:       perl(Perl::Critic::Violation)
Requires:       perl(Pod::Escapes)
Requires:       perl(Pod::MinimumVersion) >= 50
Requires:       perl(version)
%{perl_requires}

%description
This is a collection of add-on policies for 'Perl::Critic'. They're under a
"pulp" theme plus other themes according to their purpose (see
Perl::Critic/POLICY THEMES).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license COPYING

%changelog
* Wed Feb  7 2018 coolo@suse.com
- updated to 96
  see /usr/share/doc/packages/perl-Perl-Critic-Pulp/Changes
  Version 96, December 2017
  - ProhibitUnknownBackslash allow for non-ascii in strings, as
    reported by Mark Fowler RT#123922
* Mon Oct  9 2017 coolo@suse.com
- updated to 95
  see /usr/share/doc/packages/perl-Perl-Critic-Pulp/Changes
  Version 95, October 2017
  - RequireFinalSemicolon also sort{} blocks are an expression
* Sun Jun 18 2017 coolo@suse.com
- updated to 94
  see /usr/share/doc/packages/perl-Perl-Critic-Pulp/Changes
  Version 94, June 2017
  - ProhibitUnknownBackslash \N also Perl 5.16
* Sat Apr 15 2017 coolo@suse.com
- updated to 93
  see /usr/share/doc/packages/perl-Perl-Critic-Pulp/Changes
* Wed Feb 15 2017 coolo@suse.com
- initial package 92
  * created by cpanspec 1.78.08
